player = {}

function player.load()
	player.x = 430
	player.y = 528
	player.xVel = 0
	player.yVel = 0	
	player.friction = 6
	player.speed = 40
	player.jumpH = 500
	player.grav = 1000
	player.facingR = true
	player.idleRSS = love.graphics.newImage('Textures/Char/VenjekinIdleRAnim.png')
	player.idleRAnim = newAnimation(player.idleRSS, 66, 102, 0.1, 0)
	player.idleLSS = love.graphics.newImage('Textures/Char/VenjekinIdleLAnim.png')
	player.idleLAnim = newAnimation(player.idleLSS, 66, 102, 0.1, 0)
	player.walkingRSS = love.graphics.newImage('Textures/Char/VenjekinWalkingRAnim.png')
	player.walkingRAnim = newAnimation(player.walkingRSS, 78, 102, 0.1, 0)
	player.walkingLSS = love.graphics.newImage('Textures/Char/VenjekinWalkingLAnim.png')
	player.walkingLAnim = newAnimation(player.walkingLSS, 78, 102, 0.1, 0)
end

function player.update(dt)
	--Анимации
	player.idleRAnim:update(dt)
	player.idleLAnim:update(dt)
	player.walkingRAnim:update(dt)
	player.walkingLAnim:update(dt)
	--Направление
	if love.keyboard.isDown('right') then
		player.facingR = true
	elseif love.keyboard.isDown('left') then
		player.facingR = false
	end
	--Движение
	player.x = player.x + player.xVel
	player.xVel = player.xVel * (1 - math.min(dt * player.friction, 1))
	--Ходьба вправо
	if love.keyboard.isDown('right') and
	player.xVel < player.speed then
		player.xVel = player.xVel + player.speed * dt
	end
	--Ходьба влево
	if love.keyboard.isDown('left') and
	player.xVel > -player.speed then
		player.xVel = player.xVel - player.speed * dt
	end
	--Прыжок
	if player.yVel ~= 0 then
		player.y = player.y - player.yVel * dt
		player.yVel = player.yVel - player.grav * dt
	end
	function player.jump(key)
		if key == ' ' and player.yVel == 0 then
			player.yVel = player.jumpH
		end
	end
	--Границы
	if player.y > 528 then
		player.yVel = 0
		player.y = 528
	end
end

function player.draw()
	if love.keyboard.isDown('left') == false and love.keyboard.isDown('right') == false
	and player.y == 528 and player.facingR then
		player.idleRAnim:draw(player.x, player.y)
	elseif love.keyboard.isDown('left') == false and love.keyboard.isDown('right') == false
	and player.y == 528 and player.facingR == false then
		player.idleLAnim:draw(player.x, player.y)
	end
	if love.keyboard.isDown('right') then
		player.walkingRAnim:draw(player.x, player.y)
	elseif love.keyboard.isDown('left') and love.keyboard.isDown('right') == false then
		player.walkingLAnim:draw(player.x, player.y)
	end
end